'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

exports.default = create;

var _react = require('react');

var _constants = require('../util/constants');

var _createWrapperComponent = require('../util/create-wrapper-component');

var _createWrapperComponent2 = _interopRequireDefault(_createWrapperComponent);

var _screenSize = require('../util/screen-size');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var parentPropTypes = (0, _screenSize.createScreenSizePropTypes)(_constants.FLEX_PARENT_CLASS_NAMES);
var childPropTypes = (0, _screenSize.createScreenSizePropTypes)(_constants.FLEX_CHILD_CLASS_NAMES);

function create(styles) {
  var Parent = (0, _createWrapperComponent2.default)({
    displayName: 'FlexParent',
    propTypes: (0, _extends3.default)({}, parentPropTypes, {
      horizontalAlignment: _react.PropTypes.oneOf(_constants.FLEX_HORIZONTAL_ALIGNMENTS),
      verticalAlignment: _react.PropTypes.oneOf(_constants.FLEX_VERTICAL_ALIGNMENTS)
    }),
    mapPropsToClassNames: function mapPropsToClassNames(_ref) {
      var horizontalAlignment = _ref.horizontalAlignment;
      var verticalAlignment = _ref.verticalAlignment;
      var props = (0, _objectWithoutProperties3.default)(_ref, ['horizontalAlignment', 'verticalAlignment']);

      var classNames = (0, _screenSize.createScreenSizeClassNamesFromProps)(_constants.FLEX_PARENT_CLASS_NAMES, props, styles);

      classNames[styles['align-' + horizontalAlignment]] = _constants.FLEX_HORIZONTAL_ALIGNMENTS_INTERNAL.includes(horizontalAlignment);
      classNames[styles['align-' + verticalAlignment]] = _constants.FLEX_VERTICAL_ALIGNMENTS.includes(verticalAlignment);

      return classNames;
    },
    mapPropsToStyle: function mapPropsToStyle() {
      return { display: 'flex' };
    },
    defaultComponentClass: 'div'
  });

  var Child = (0, _createWrapperComponent2.default)({
    displayName: 'FlexChild',
    propTypes: (0, _extends3.default)({}, childPropTypes, {
      verticalAlignment: _react.PropTypes.oneOf(_constants.FLEX_VERTICAL_ALIGNMENTS)
    }),
    mapPropsToClassNames: function mapPropsToClassNames(_ref2) {
      var verticalAlignment = _ref2.verticalAlignment;
      var props = (0, _objectWithoutProperties3.default)(_ref2, ['verticalAlignment']);

      var classNames = (0, _screenSize.createScreenSizeClassNamesFromProps)(_constants.FLEX_CHILD_CLASS_NAMES, props, styles);

      classNames[styles['align-self-' + verticalAlignment]] = _constants.FLEX_VERTICAL_ALIGNMENTS.includes(verticalAlignment);

      return classNames;
    },
    defaultComponentClass: 'div'
  });

  return { Parent: Parent, Child: Child };
}