'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

exports.default = create;

var _react = require('react');

var _constants = require('../util/constants');

var _createWrapperComponent = require('../util/create-wrapper-component');

var _createWrapperComponent2 = _interopRequireDefault(_createWrapperComponent);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function create(styles) {
  var Float = (0, _createWrapperComponent2.default)({
    displayName: 'Float',
    propTypes: {
      position: _react.PropTypes.oneOf(_constants.FLOAT_POSITIONS).isRequired
    },
    mapPropsToClassNames: function mapPropsToClassNames(_ref) {
      var position = _ref.position;
      return (0, _defineProperty3.default)({}, styles['float-' + position], _constants.FLOAT_POSITIONS.includes(position));
    },
    defaultComponentClass: 'div'
  });

  var ClearFix = (0, _createWrapperComponent2.default)({
    displayName: 'ClearFix',
    mapPropsToClassNames: function mapPropsToClassNames() {
      return styles.clearfix;
    },
    defaultComponentClass: 'div'
  });

  return { Float: Float, ClearFix: ClearFix };
}