'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = create;

var _createWrapperComponent = require('../util/create-wrapper-component');

var _createWrapperComponent2 = _interopRequireDefault(_createWrapperComponent);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function create(styles) {
  var Subheader = (0, _createWrapperComponent2.default)({
    displayName: 'Subheader',
    mapPropsToClassNames: function mapPropsToClassNames() {
      return styles.subheader;
    }
  });

  var Lead = (0, _createWrapperComponent2.default)({
    displayName: 'Lead',
    mapPropsToClassNames: function mapPropsToClassNames() {
      return styles.lead;
    }
  });

  var UnbulletedList = (0, _createWrapperComponent2.default)({
    displayName: 'UnbulletedList',
    mapPropsToClassNames: function mapPropsToClassNames() {
      return styles['no-bullet'];
    },
    defaultComponentClass: 'ul'
  });

  var Statistic = (0, _createWrapperComponent2.default)({
    displayName: 'Statistic',
    mapPropsToClassNames: function mapPropsToClassNames() {
      return styles.stat;
    }
  });

  return { Subheader: Subheader, Lead: Lead, UnbulletedList: UnbulletedList, Statistic: Statistic };
}